import type { MediaQuery } from "lightningcss";
export type Options = {
    source: string;
};
/**
 * @param source The path to the file you want to extract the custom queries from
 * @returns A visitor that resolves the custom queries
 * @example
 * const res = transform({
 * minify: true,
 * code: Buffer.from("@media (--small-breakpoint){.foo{color:red}}"),
 * visitor: composeVisitors([globalCustomQueries({ source: "./custom-media.css" })]),
 * });
 *
 * assert.strictEqual(
 * res.code.toString(),
 * "@media (width<=100em){.foo{color:red}}",
 * new TypeError("Replaced URL is not the same")
 * );
 */
declare const _default: ({ source }: Options) => {
    MediaQuery(query: MediaQuery): MediaQuery;
};
export default _default;
